Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
LatCommon::PODWeights Class Reference

Product and order-dependent (POD) weights. More...

`#include <PODWeights.h>`

Inherits LatCommon::Weights.

## Public Member Functions
| PODWeights ()
| Constructs order-dependent weights with default weight.
virtual | ~PODWeights ()
| Destructor.
virtual Weight | getWeight (const Coordinates &projection) const
| Returns the weight of the projection specified by `projection`.
OrderDependentWeights & | getOrderDependentWeights ()
| Returns the order-dependent part of the weights.
const OrderDependentWeights & | getOrderDependentWeights () const
ProductWeights & | getProductWeights ()
| Returns the product part of the weights.
const ProductWeights & | getProductWeights () const
Public Member Functions inherited from LatCommon::Weights
virtual | ~Weights ()
| Destructor.

## Protected Member Functions
virtual void | format (std::ostream &os) const
| Identifies the type of weights, formats them and outputs them on `os`. More...

## Protected Attributes
OrderDependentWeights | m_orderDependentWeights
ProductWeights | m_productWeights

## Additional Inherited Members
Related Functions inherited from LatCommon::Weights
std::ostream & | operator<< (std::ostream &os, const Weights &o)

## Detailed Description

Product and order-dependent (POD) weights.

This class implements POD weights. The weight of a projection depends on the order of the projection and on the coordinates that are in the projection.

## Member Function Documentation

virtual void LatCommon::PODWeights::format | ( | std::ostream & | os | ) | const
| protected virtual

Identifies the type of weights, formats them and outputs them on `os`.

Remarks
  Deriving classes should identify themselves in the output.

Implements LatCommon::Weights.

The documentation for this class was generated from the following file:

- latcommon/include/latcommon/PODWeights.h